Subject: Re: [PATCH net-next v2 0/2] sfc: Add EF100 BAR config support

From: Jakub Kicinski <[email-masked]>
Date: Thu, 14 Jul 2022 09:05:00 -0700

On Thu, 14 Jul 2022 12:32:12 +0100 Martin Habets wrote:
> > Okay. Indeed, we could easily bolt something onto devlink, I'd think
> > but I don't know the space enough to push for one solution over
> > another. 
> > 
> > Please try to document the problem and the solution... somewhere, tho.
> > Otherwise the chances that the next vendor with this problem follows
> > the same approach fall from low to none.  
> 
> Yeah, good point. The obvious thing would be to create a
>  Documentation/networking/device_drivers/ethernet/sfc/sfc/rst
> Is that generic enough for other vendors to find out, or there a better place?

Documentation/vdpa.rst ? I don't see any kernel level notes on
implementing vDPA perhaps virt folks can suggest something.
I don't think people would be looking into driver-specific docs
when trying to implement an interface, so sfc is not a great option
IMHO.

> I can do a follow-up patch for this.

Let's make it part of the same series.